module Redmine
  module Commands
    module Docker
      class Build
        def initialize(config)
          @config = config
        end

        def command_line
          "cd #{gem_path}/docker && docker build -t redmineup/demo-base --build-arg ruby_version=#{@config.ruby_version} --build-arg redmine_version=#{@config.redmine_version} ."
        end

        private

        def gem_path
          File.expand_path("#{File.dirname(File.expand_path(__FILE__))}/../../../../")
        end
      end
    end
  end
end
