# frozen_string_literal: true

module Redmine
  module Commands
    class Help
      def execute
        puts <<~HELP
          Usage:
              redmine [options] <command>

          Where OPTIONS:
              -p --privileged - Run in privileged mode (required for occupying ports below 1024)

          Where COMMANDS:
              start - run redmine
              list  - inspect list of running instances
              show  - print information about specific instance
              shell - get shell into specific instance
              install_plugins <config> <destination folder> - for internal use
              logs  - start tailing logs
        HELP
      end
    end
  end
end
