module Redmine
  module Commands
    class ListPrinter
      def print(results)
        banner
        results.map { |result| print_result(result) }
        footer
      end

      def banner
        puts 'RUNNING REDMINE INSTANCES:'
        puts '=========================='
      end

      def print_result(result)
        puts "\t#{result.name.gsub(/^redmine-run__/, '')}"
      end

      def footer
        puts "\n\n"
      end
    end
  end
end
