# frozen_string_literal: true

require 'tmpdir'

module Redmine
  module Commands
    module Docker
      class CopyConfig
        def initialize(config)
          @config = config
        end

        def command_line
          "cat << EOF >#{Dir.tmpdir}/config.yml\n#{@config.yaml}\nEOF\ndocker cp #{Dir.tmpdir}/config.yml #{@config.name}:/config.yml; rm -f #{Dir.tmpdir}/config.yml"
        end
      end
    end
  end
end
