# frozen_string_literal: true

module Redmine
  module Commands
    module Docker
      class CreateVolume
        def initialize(config)
          @config = config
        end

        def command_line
          "docker volume create redmine-pg-#{@config.name}"
        end
      end
    end
  end
end
