# frozen_string_literal: true

module Redmine
  module Commands
    class Shell
      def initialize(args)
        @args = args
      end

      def execute
        shell.execute(
          "docker exec -it redmine-run__#{@args.instance_name} /bin/bash"
        )
      end

      private

      def shell
        @shell ||= Redmine::Utils::System.new
      end
    end
  end
end
