module Redmine
    module Commands
      class Show
        def initialize(args)
          @args = args
        end
  
        def execute
          shell.execute(
            "docker exec -it redmine-run__#{@args.instance_name} cat /config.yml"
          )
        end
  
        private
  
        def shell
          @shell ||= Redmine::Utils::System.new
        end
      end
    end
  end
  