module Redmine
  module Commands
    class Stop
      def initialize(args)
        @args = args
      end

      def execute
        shell.execute(
          "docker stop redmine-run__#{@args.instance_name}"
        )
        shell.execute(
          "docker rm redmine-run__#{@args.instance_name}"
        )
      end

      private

      def shell
        @shell ||= Redmine::Utils::System.new
      end
    end
  end
end
